//+------------------------------------------------------------------+
//|                                                 SCS_ConsecHL.mq4 |
//|                                           Modified by GGG Mcon. |
//|                                              http://www.mql5.com |
//+------------------------------------------------------------------+
#property strict

#property indicator_chart_window
#property indicator_buffers 3
#property indicator_color1 PaleGreen  
#property indicator_color2 Red
#property indicator_color3 Yellow

#property indicator_width1  1
#property indicator_width2  1
extern double trigger = 0.2;
extern int mHist = 1000, mVal = 5;
extern double mGap = 0;
extern bool mAlert = true;
double mHigh[], mLow[];

double  higher[], cpte_high[];;
int mLowCount = 0; datetime mTime = 0;
 
 

//-----------------------------------------------------------------------------
void init() {
 
  IndicatorBuffers(4);
  
   SetIndexBuffer(0, mHigh);
   SetIndexStyle(0, DRAW_ARROW,0,1);
   SetIndexArrow(0, 234);
   SetIndexEmptyValue(0, 0.0);
 
  SetIndexBuffer(1, mLow);
  SetIndexStyle(1, DRAW_ARROW);
  SetIndexArrow(1, 233);  
  SetIndexEmptyValue(1, 0.0);

   SetIndexBuffer(2, higher);
    SetIndexStyle(2, DRAW_ARROW,0,1);
      SetIndexArrow(2, 158);
    SetIndexEmptyValue(2, 0.0);
  
     SetIndexBuffer(3, cpte_high);
  
  
  if(Digits == 3 || Digits ==5)
    mGap = mGap * Point * 10;
  else
    mGap = mGap * Point;
}

//-----------------------------------------------------------------------------
int start() 
{
   static int cpte_higher =0;
  int i=0,counted_bar = IndicatorCounted();  
  if( counted_bar == 0 ) i = Bars - mHist;
  if( counted_bar > 1000 ) i=   Bars - counted_bar -1;;
  
 while ( i >= 0)
  {
  /*      DON T WORK 
          if(High[i] >= High[i+1])   cpte_high[i]++;
          if(High[i] < High[i+1])     cpte_high[i] = 0;  
          if( cpte_high[i+1] >=4 &&  cpte_high[i] == 0)  mHigh[i] = High[i]+atr;
     
        }
    */
      double atr = iATR(NULL,0,500,i);

      if(High[i] >= High[i+1]-trigger*atr)   higher[i]= High[i]+0.25*atr;
      else                               higher[i] = 0.0;  
     //  if(High[i] < High[i+1])     higher[i] = 0.0;  

       if(higher[i] != 0.0 )  cpte_higher++;
       if(higher[i] == 0.0 )  cpte_higher=0;
    
       cpte_high[i] = cpte_higher;
       
      if( cpte_high[i+1] > 4.0 &&   cpte_high[i] == 0) mHigh[i] = High[i]+atr;
      else                                             mHigh[i] = 0.0;
       
   
   
   
   
    if(Low[i] <= Low[i+1]) 
      {
       mLowCount++;
       if(mLowCount == mVal)
        {
         mLow[i] = Low[i] + mGap;
         if(mAlert && i == 1 && Time[i] > mTime)
          {
           Alert(TimeHour(TimeCurrent()), ":", TimeMinute(TimeCurrent()), "  ", 
                  Symbol(), "  ", Period(), "m  Low ", Low[i]);
           mTime = Time[i];
          }
        }
      }
    else
      mLowCount = 0;
  //----
  i--;    
  }

  return(0);
}

//-----------------------------------------------------------------------------
